Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517927 - ceilometer: set event dispatcher to Gnocchi by default in OSP10
Summary: ceilometer: set event dispatcher to Gnocchi by default in OSP10
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 17:21 UTC by Mark Jones
Modified: 2018-03-29 10:33 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.3.8-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 10:33:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 521132 None None None 2017-11-30 14:52:44 UTC

Description Mark Jones 2017-11-27 17:21:04 UTC
Description of problem:

The current default of database for the event dispatcher in Ceilometer does not make Gnocchi work completely as the Gnocchi dispatcher does not receive any events from Ceilometer.

Version-Release number of selected component (if applicable): 

Gnocchi/Ceilometer in OSP10

How reproducible: 

Consistent for every installation

Steps to Reproduce:

1. Perform an installation of OSP10 with Ceilometer and Gnocchi enabled

Actual results:

The ceilometer.conf file does not set event_dispatchers to Gnocchi

Expected results:

The ceilometer.conf file does set an event_dispatchers to Gnocchi by default.


Additional info:

This issue means that Gnocchi is not notified about the termination of resources and so does not set the ended_at property correctly.

Related: https://review.openstack.org/#/c/521132/

Comment 8 Lon Hohberger 2018-03-07 13:51:18 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-5.3.8-1.el7ost.  This build is available now.

Comment 9 Cody Swanson 2018-03-07 15:43:02 UTC
Confirming that puppet-ceilometer-9.5.0-4.el7ost.noarch.rpm contains the upstream patch https://bugs.launchpad.net/puppet-ceilometer/+bug/1737418

# rpm -qa |grep puppet-ceilometer
puppet-ceilometer-9.5.0-2.el7ost.noarch
# ls
puppet-ceilometer-9.5.0-4.el7ost.noarch.rpm
# rpm2cpio puppet-ceilometer-9.5.0-4.el7ost.noarch.rpm| cpio -idm
296 blocks
# diff ./usr/share/openstack-puppet/modules/ceilometer/manifests/collector.pp /usr/share/openstack-puppet/modules/ceilometer/manifests/collector.pp
67,68c67,68
<     'DEFAULT/meter_dispatchers': value => any2array($meter_dispatcher);
<     'DEFAULT/event_dispatchers': value => any2array($event_dispatcher);
---
>     'DEFAULT/meter_dispatchers':  value => join(any2array($meter_dispatcher), ',');
>     'DEFAULT/event_dispatchers':  value => join(any2array($event_dispatcher), ',');

Comment 10 Sasha Smolyak 2018-03-29 08:27:54 UTC
Default event_dispatchers are now gnocchi on controller.
In undercloud the default in ceilometer.conf is still database


Note You need to log in before you can comment on or make changes to this bug.